GNU bug report logs - #53077
[PATCH 3/41] gnu: rust-rbw: adding rust-const-oid

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53078, #53079, #53080, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 13:56:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 13:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 08:55:41 2022
Received: from localhost ([127.0.0.1]:43388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5piX-0005RK-8i
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 08:55:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:48336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5piV-0005RC-4E
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 08:55:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53090)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5piU-0004jF-IH
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 08:55:38 -0500
Received: from 14.mo582.mail-out.ovh.net ([46.105.56.113]:33309)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5piS-0007TL-7F
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 08:55:38 -0500
Received: from player794.ha.ovh.net (unknown [10.110.171.50])
 by mo582.mail-out.ovh.net (Postfix) with ESMTP id 0ED9423F53
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 13:55:34 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player794.ha.ovh.net (Postfix) with ESMTPSA id C8A0A22D5F809
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 13:55:33 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-96R0016564c331-fe2c-4669-a74c-4f0b5fd7cde1,
 78F9E01C6010B6AFE31BE3CCEA90A961B2BEDC33) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 3/41] gnu: rust-rbw: adding rust-const-oid
Date: Fri, 07 Jan 2022 14:54:38 +0100
Message-ID: <87zgo7r6p7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0004-rust-rbw-dependencies-adding-rust-const-oid.patch
Content-Description: rust-rbw-dependencies-adding-rust-const-oid
X-Ovh-Tracer-Id: 5067956957205816058
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddgfeegucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpegfhffvufffkfggtgguseertdertddtredtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepudejteehgeeiffelveetueeguefgtdeikeefjeevffdtvddtgfffjedukeeuhedunecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeelgedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=46.105.56.113; envelope-from=ngraves@HIDDEN;
 helo=14.mo582.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 21b2137caeef27e2c452cbd51a35069e29b1478c Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 00:05:07 +0100
Subject: [PATCH 04/42] rust-rbw dependencies : adding rust-const-oid

---
 gnu/packages/crates-io.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0752891f35..7607f2a322 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -10949,6 +10949,28 @@ (define-public rust-const-fn-0.4
 const functions with conditional compilations.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-const-oid-0.6
+  (package
+    (name "rust-const-oid")
+    (version "0.6.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "const-oid" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "12vv7csqqjj0x1l5mf51lgqiw76k5c3mb1yzfhfcqysks2j2lvwx"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/RustCrypto/formats/tree/master/const-oid")
+    (synopsis
+      "provides an implementation of the ISO/IEC Object Identifier (OID)")
+    (description
+      "Const-friendly implementation of the ISO/IEC Object Identifier (OID) standard as
+defined in ITU X.660, with support for BER/DER encoding/decoding as well as
+heapless no_std (i.e.  embedded) support")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-const-random-0.1
   (package
     (name "rust-const-random")
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53077; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.